Mozilla Plugin Check - prosta aktualizacja wtyczek do Firefoksa

14 października 2009 15:01 Ludwik Krakowiak
Mozilla uruchomiła stronę internetową Plugin Check - odwiedzający ją użytkownicy Firefoksa mogą sprawdzić aktualność wtyczek zainstalowanych w przeglądarce i w razie potrzeby zaopatrzyć się w ich nowsze wydania.
Mozilla Plugin CheckKliknij, aby powiększyćMozilla Plugin Check
Firefox to pierwsza przeglądarką internetową, która sprawdza aktualność zainstalowanych w systemie wtyczek. Pełen raport dotyczący wszystkich zainstalowanych w systemie aplikacji oraz ich stanu zabezpieczeń można uzyskać dzięki narzędziu Secunia Personal Software Inspector. PSI skanuje pecet, identyfikuje wykryte instalacje oprogramowania, określa czy wymagają aktualizacji i w razie konieczności wskazuje łącza do patchy bezpieczeństwa.

Zobacz także:
Po wejściu na stronę Mozilla Plugin Check następuje automatyczna analiza wtyczek do Firefoksa. Sprawdzanych jest ponad 15 pluginów różnych producentów, w tym Adobe Flash, RealPlayer, QuickTime, Silverlight, Shockwave i Java (prace nad dodaniem kolejnych trwają).

Użytkownik otrzymuje informacje o statusie pluginów. W sytuacji, gdy w Firefoksie funkcjonuje przestarzała wersja wtyczki, strona Plugin Check poinformuje o tym internautę oraz umożliwi aktualizację dostarczając link do pobrania najnowszej wersji pluginu.

Jak informuje Mozilla, aktualizacja wtyczek jest szczególnie istotna dla użytkowników Firefoksa, gdyż to właśnie nieaktualne pluginy są odpowiedzialne za co najmniej 30 % awarii programu, np. nieoczekiwanych zamknięć. Ponadto przestarzałe wtyczki są chętnie obieranym przez cyberprzestępców celem ataku.

Następna wersja przeglądarki Mozilli, Firefox 3.6, zostanie wyposażona w podobny zintegrowany system sprawdzania wtyczek. Obecne wydania programu, 3.0.14 oraz 3.5.3 ostrzegają jedynie o nieaktualnym Adobe Flash. Plugin Adobe został uwzględniony w mechanizmie jako pierwszy z racji częstotliwości, z jaką jest wykorzystywany przez cyber-przestępców do przeprowadzania ataków na komputery internautów. Tylko w tym roku Adobe łatało luki we Flashu dwukrotnie - w lutym i lipcu.

Gdy użytkownik Firefoksa 3.6 wejdzie na stronę wymagającą użycia pluginu, a ten okaże się nieaktualny, program wyświetli ostrzeżenie o tym fakcie wraz ze stosownym przyciskiem Update - kliknięcie tego przycisku poprowadzi użytkownika do strony Plugin Check. Bezpośrednio z okna menedżera Rozszerzeń będzie można zarówno wywołać stronę jak i sprawdzić status wtyczek.


Komentarze (6)

  • ~gość
  • 2009-10-14 16:13:44

Tylko kto będzie taką stronę odwiedzał? Moim zdaniem zdecydowanie fajniejszy jest pomysł jaki stosuje Google w Chrome. Zarówno przeglądarka jak i wszystkie rozszerzenia automatycznie ściągają się tle zawsze do najnowszej wersji. Dzięki temu w 3-4 dni po premierze nowej wersji stabilnej jest ona zainstalowana na 100% komputerów. Użytkownicy zupełnie nie przejmują się czy mają przeglądarkę w wersji 2, 3 czy 4. GUI się nie zmienia, wszystko działa... zero problemów.

  • ~gość
  • 2009-10-14 17:09:00

Nom, tylko że są ludzie którzy nie chcą czegoś ściągać. Zwłaszcza w tle. Że co, ma mi się zdzierać kilkanaście mb czy kilkadziesiąt ? Poza tym chyba nie czytałeś dokładnie. Strona jest tylko tymczasowym rozwiązaniem. Wraz z wersją 3.6 i dalej przeglądarka - podobnie jak w Chrome będzie Cie informowała o przestarzałym pluginie. Poza tym macie zadziwiającą tendencję porównywania kompletnie różnych przeglądarek. Jak Firefox 4.0 wypadnie gorzej jak Chrome to sam się na Chrome przesiądę. Ale do czasu FF 4.0 nie ma co porównywać go z Chrome czy Safari. Po pierwsze oba produkty są ubogie w porównaniu do FF a dodatkowo są względnie nowe. Tak dużej aplikacji nie przepiszesz w jeden dzień na nowo. Musi być zachowana ciągłość.

  • ja
  • 2009-10-14 20:29:28

Unable to Detect Plugin Version w przypadku 16 na 22 pluginy. chyba cos nie bardzo sie udalo...

  • ~gość
  • 2009-10-14 23:42:28

To dziwne bo u mnie wykrył wszystkie. Jedyne czego nie tknął to Quake Live. Nawet powiadomił mnie że Totem jest nieaktualny :-)

  • max
  • 2009-10-15 09:55:29

Przeciez już teraz przeglądarka informuje o starych pluginach. Tyle, że na starcie.

  • Komar
  • 2009-10-15 22:02:58

@max - mylisz pluginy z rozszerzeniami.

reklama

Popularne produkty

Nokaut

  Rekomendacje

reklama
Kontakt - Regulamin - Polityka prywatności
Serwis zgodny z ASME - Serwisy IDG - Reklama -

Prenumerata: PC World, Computerworld, CIO, Networld
© Copyright 2014 International Data Group Poland S.A.
02-092 Warszawa ul. Żwirki i Wigury 18a
tel.(+4822)321-78-00   fax(+4822)321-78-88
Archiwum wiadomości: 2013 2012 2011 2010 2009 2008 2007 2006 2005 2004 2003 2002 2001